<h2>Unesite pregled</h2>
<div class="sidenav">
<ul>
    <li><button class="ui button btn1" (click) = "PromeniOpciju(1)">Operacija</button></li>
    <li><button class="ui button btn1" (click) = "PromeniOpciju(2)">Biopsija</button></li>
    <li><button class="ui button btn1" (click) = "PromeniOpciju(3)">Terapija</button></li>
  </ul>
</div> 
<br>
  
<div>
  <div class="ui bottom attached tab segment active" data-tab="first" *ngIf=" opcija==1 ">
    <form [formGroup]="OperacijaForm" (ngSubmit)="submitOperacijaForm()" class="signinbox">
        <h3>Operacija</h3>
        <div class="required fluid field">
            <label for="datum">Datum:</label><br>
            <input type="date" formControlName="datum" placeholder="Unesite datum"><br>
        </div>
        <div class="required fluid field" [ngClass] = "{ error : JMBGHasErrors() }">
            <label for="JMBG">JMBG pacijenta:</label><br>
            <input type="text" formControlName="JMBG" placeholder="Unesite JMBG pacijenta"><br>
        </div>
        <div class="error-message" *ngIf="JMBGErrors().length > 0 "> 
            <ul>
                <li *ngFor="let errorMessage of JMBGErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div>

        <div class="required fluid field" [ngClass] = "{error : tipOperacijeHasError() }">
            <label for="zahvat">Tip zahvata:</label><br>
            <input type="text" formControlName="zahvat" placeholder="Unesite tip zahvata"><br>
        </div>
        <div class="error-message" *ngIf="tipOperacijeErrors().length > 0 "> 
            <ul>
                <li *ngFor="let errorMessage of tipOperacijeErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div>
        <div class="required fluid field">
            <label for="pomocnizahvat" [ngClass] = "{error : pomocniOperacijaHasErrors() }">Tip pomocnog zahvata:</label><br>
            <input type="text" formControlName="pomocnizahvat" placeholder="Unesite tip pomocnog zahvata"><br>
        </div>
        <div class="error-message" *ngIf="pomocniOPeracijaErrors().length > 0 "> 
            <ul>
                <li *ngFor="let errorMessage of pomocniOPeracijaErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div>
        <div class="form-group"> 
            <input type="submit" class="btn btn-primary" [disabled]="!OperacijaForm.valid"  value="Unesi podatke">
        </div>
    </form>
  </div>


  <div class="ui bottom attached tab segment" data-tab="second" *ngIf="opcija==2">
    <form [formGroup]="BiopsijaForm" (ngSubmit)="submitBiopsijaForm()" class="signinbox">
        <h3>Biopsija</h3>
        <div class="required fluid field">
            <label for="datum">Datum:</label><br>
            <input type="date" formControlName="datum" placeholder="Unesite datum"><br>
        </div>
        <div class="required fluid field">
            <label for="tip" [ngClass] = "{ error : tipBiopsijeHasErrors() }" >Tip:</label><br>
            <input type="text" formControlName="tip" placeholder="Unesite tip biopsije"><br>
        </div>
        <div class="error-message" *ngIf="tipBiopsijeErrors().length > 0 "> 
            <ul>
                <li *ngFor="let errorMessage of tipBiopsijeErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div>
        <div class="required fluid field">
            <label for="JMBG" [ngClass] = "{ error : JMBGHasErrors() }">JMBG pacijenta:</label><br>
            <input type="text" formControlName="JMBG" placeholder="Unesite JMBG pacijenta"><br>
        </div>
        <div class="error-message" *ngIf="JMBGErrors().length > 0 "> 
            <ul>
                <li *ngFor="let errorMessage of JMBGErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div>
        <br>
        <div class="required fluid field">
            <label for="histopatoloskevr" [ngClass] = "{ error : histopatHasErrors() }">Histopatoloske vrednosti:</label><br>
            <input type="text" formControlName="histopatoloskevr" placeholder="Unesite histopatoloske vrednosti"><br>
        </div>
        <div class="error-message" *ngIf="histopatErrors().length > 0 "> 
            <ul>
                <li *ngFor="let errorMessage of histopatErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div>
        <div class="required fluid field">
            <label for="tiptumora" [ngClass] = "{ error : tipTumoraHasErrors() }">Tip tumora:</label><br>
            <input type="text" formControlName="tiptumora" placeholder="Unesite tip tumora"><br>
        </div>
        <div class="error-message" *ngIf="tipTumoraErrors().length > 0 "> 
            <ul>
                <li *ngFor="let errorMessage of tipTumoraErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div>
        <div class="required fluid field">
            <label for="kodklinickogstanja" [ngClass] = "{ error : kodStanjaHasErrors() }">Kod klinickog stanja:</label><br>
            <input type="text" formControlName="kodklinickogstanja" placeholder="Unesite kod kliniskog stanja"><br>
        </div>
        <div class="error-message" *ngIf="kodStanjaErrors().length > 0 "> 
            <ul>
                <li *ngFor="let errorMessage of tipTumoraErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div>
        <div class="form-group"> 
            <input type="submit" class="btn btn-primary" [disabled]="!BiopsijaForm.valid" value="Unesi podatke">
        </div>
    </form>
  </div>

  <div class="ui bottom attached tab segment" data-tab="third" *ngIf="opcija==3">
    <form [formGroup]="TerapijaForm" (ngSubmit)="submitTerapijaForm()" class="signinbox">
        <h3>Terapija</h3>
        <div class="required fluid field">
            <label for="tipterapija" [ngClass] = "{ error : tipTerapijaHasErrors() }">Tip terapije:</label><br>
            <input type="text" formControlName="tipterapija" placeholder="Unesite tip terapije"><br>
        </div>
        <div class="error-message" *ngIf="tipTerapijaErrors().length > 0 "> 
            <ul>
                <li *ngFor="let errorMessage of tipTerapijaErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div>
        <div class="required fluid field" [ngClass] = "{ error : ciklusiHasErrors() }">
            <label for="brojciklusa" >Broj ciklusa:</label><br>
            <input type="text" formControlName="brojciklusa" placeholder="Unesite broj ciklusa"><br>
        </div>
        <div class="error-message" *ngIf="ciklusiErrors().length > 0 "> 
            <ul>
                <li *ngFor="let errorMessage of ciklusiErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div>
        <div class="required fluid field"  [ngClass] = "{ error : JMBGHasErrors() }">
            <label for="JMBG" >JMBG pacijenta:</label><br>
            <input type="text" formControlName="JMBG" placeholder="Unesite JMBG pacijenta"><br>
        </div>
        <div class="error-message" *ngIf="JMBGErrors().length > 0 "> 
            <ul>
                <li *ngFor="let errorMessage of JMBGErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div>
        <div class="required fluid field" [ngClass] = "{ error : lekoviHasErrors() }">
            <label for="grupalekova">Grupa lekova:</label><br>
            <input type="text" formControlName="grupalekova" placeholder="Unesite  grupu lekova"><br>
        </div>
        <div class="error-message" *ngIf="lekoviErrors().length > 0 "> 
            <ul>
                <li *ngFor="let errorMessage of lekoviErrors()" fontColor = "red">{{ errorMessage }}</li>
            </ul>
        </div>
        <div class="form-group"> 
            <input type="submit" class="btn btn-primary" [disabled]="!TerapijaForm.valid" value="Unesi podatke">
        </div>
    </form>
  </div>
</div>
